/*****************************************************************************
 *  find.h: here are definitions of functions for find.c
 *  This is part of IC-tester program.
 *  Copyright (C) 2001,2002  Silvio Klaic, sklaic@student.math.hr
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *****************************************************************************/

#ifndef _FIND_H
#define _FIND_H

#ifdef __minix
_PROTOTYPE(FILE *find_A_file, (char *F_name, char *F_Ext));
_PROTOTYPE(unsigned long int is_in_database, (char *DatLoc,char *Fname));
_PROTOTYPE(unsigned long int find_D_file, (char *Df_loc,char *F_name));
_PROTOTYPE(void create_supported_file, (void));
_PROTOTYPE(void write_data_from_file, (FILE *f,char *What_dir,char *f_name,int dot));
_PROTOTYPE(void write_data_from_database, (FILE *f,char *D_loc));
#else
FILE *find_A_file(char *F_name, char *F_Ext);
unsigned long int find_D_file(char *Df_loc,char *F_name);
void create_supported_file(void);
#endif

#endif /* _FIND_H */

