/*****************************************************************************
 *  test.h: here is definition of function for test.c
 *  This is part of IC-tester program.
 *  Copyright (C) 2001,2002  Silvio Klaic, sklaic@student.math.hr
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *****************************************************************************/

#ifndef _TEST_H
#define _TEST_H

#ifdef __minix
_PROTOTYPE(int test_port, (unsigned int IO));
_PROTOTYPE(int readtest, (unsigned int IO));
_PROTOTYPE(int wwritetest, (unsigned int IO));
_PROTOTYPE(void test, (unsigned int BASEIO));
_PROTOTYPE(void freq_ic, (unsigned int IO));
_PROTOTYPE(int awritetest, (unsigned int IO));
_PROTOTYPE(int rwritetest, (unsigned int IO));
#else
void test( unsigned int BASEIO );
void freq_ic(unsigned int IO);
int awritetest( unsigned int IO );
int rwritetest( unsigned int IO );
#endif

#endif /* _TEST_H */

