/******************************************************************************
    Program ictdatedit, builds and edit database from analyze test files,
    for ic-tester program:
    - convert.h - header file for prototype functions

    Copyright (C) 2001 Silvio Klaic, sklaic@student.math.hr
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/

#ifndef _CONVERT_H
#define _CONVERT_H

#ifndef __GTK_H__
 typedef unsigned int guint;
 typedef int gint;
 typedef char gchar;
#endif

#ifdef __minix
_PROTOTYPE(guint sqrn,(guint num, gint level));
_PROTOTYPE(void doto4, (gchar *inpstr));
_PROTOTYPE(void dofrom4, (gchar *inpstr));
#else
guint sqrn(guint num, gint level);
void doto4(gchar *inpstr);
void dofrom4(gchar *inpstr);
#endif

#endif /* _CONVERT_H */
